# UniTAP.dev.ports.modules.link.dp.link_rx_caps

class LinkDisplayPortCaps:

Class `LinkDisplayPortCaps` allows settings link capabilities on Sink (RX - receiver) side.

- Set configuration `set`.
- Get current configuration on link `link_caps_status`.

LinkDisplayPortCaps( port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO, caps: UniTAP.dev.ports.modules.link.dp.private_link_rx_types.DPRXHWCaps)
def set( self, capabilities: Union[ UniTAP.dev.ports.modules.link.dp.link_rx_types.LinkCapabilities , UniTAP.dev.ports.modules.link.dp.link_rx_types.LinkEDPCapabilities ]):

Set new settings on link. Only those values will be written that were specified.

###### Arguments:

- capabilities (`LinkCapabilities` or `LinkEDPCapabilities`)

def link_caps_status( self, config_type: Optional[Type[~DisplayPortLinkCaps]] = None) -> ~DisplayPortLinkCaps:

Returns current configuration on link `LinkCapabilities`.

###### Returns:

> object of `LinkCapabilities` type